Bug 756184 - RFE: Drift UI needs better Template-Definition handling
RFE: Drift UI needs better Template-Definition handling
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
All All
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
: FutureFeature
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10 786501
  Show dependency treegraph
 
Reported: 2011-11-22 16:45 EST by Jay Shaughnessy
Modified: 2013-08-31 06:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 786501 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-11-22 16:45:25 EST
This is a follow-up BZ for bug 756171.  Suggestions 1 and 3 still need
to be implemented. Especially #1. See excerpt below:

"There are a few aspects to the solution, one of which is critical for
an initial release.

First, it should be possible to see the definitions attached to a template 
from the template view. An expandable row would probably work well here.
This will allow the user to see which definitions will be affected by
a template update.

Second (critical), DONE, see bug 756171.

Third, it would be nice if the wizard, when pinning a template, could
provide a summary of the definitions that will be reset (the attached
defs) when the pinning takes place."
Comment 1 Jay Shaughnessy 2012-01-18 14:50:01 EST
Working on the first aspect (of the three above).
Comment 2 Jay Shaughnessy 2012-01-19 15:52:16 EST
master commit 875a2b7d7000ae8ccdb56d55ae89613e0ba010db

Add ability to expand rows in the drift template table.  This gives users
the ability to see which drift definitions will be affected by changes to
a template. Or, to navigate to a derived template.
- Also:
  - add explicit nav link to carousel
  - fix nav issue DriftCarouselView.renderView which was too agressively
    trying to nav to a detailed view


May need a new BZ for item 3 in the description...
Comment 3 Mike Foley 2012-02-01 10:50:32 EST
as requested, created BZ 786501 for item #3 in the description 

https://bugzilla.redhat.com/show_bug.cgi?id=786501
Comment 4 Heiko W. Rupp 2013-08-31 06:14:38 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.